## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanAutoPtr< Type > Class Template Reference

List of all members.

## Public Member Functions

- XalanAutoPtr (Type *thePointer=0)
- XalanAutoPtr (const XalanAutoPtr< Type > &theSource)
- XalanAutoPtr< Type > & operator= (XalanAutoPtr< Type > &theRHS)
- ~XalanAutoPtr ()
- Type & operator * () const
- Type * operator-> () const
- Type * get () const
- Type * release ()
- void reset (Type *thePointer=0)

### template<class Type>
class XalanAutoPtr< Type >

## Constructor & Destructor Documentation

template<class Type>
XalanAutoPtr< Type >::XalanAutoPtr | ( | Type * | thePointer = 0 | ) |

template<class Type>
XalanAutoPtr< Type >::XalanAutoPtr | ( | const XalanAutoPtr< Type > & | theSource | ) |

template<class Type>
XalanAutoPtr< Type >::~XalanAutoPtr | ( |  | ) |

## Member Function Documentation

template<class Type>
Type* XalanAutoPtr< Type >::get | ( |  | ) | const

template<class Type>
Type& XalanAutoPtr< Type >::operator * | ( |  | ) | const

template<class Type>
Type* XalanAutoPtr< Type >::operator-> | ( |  | ) | const

template<class Type>
XalanAutoPtr<Type>& XalanAutoPtr< Type >::operator= | ( | XalanAutoPtr< Type > & | theRHS | ) |

template<class Type>
Type* XalanAutoPtr< Type >::release | ( |  | ) |

template<class Type>
void XalanAutoPtr< Type >::reset | ( | Type * | thePointer = 0 | ) |

The documentation for this class was generated from the following file:

- XalanAutoPtr.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.